Need Ideas for "Monitor" Panel

Just for fun I installed a monitor panel into my case, 7" screen. Obviously this is purely for fun and no real practical purpose. I am looking for ideas of what to occupy it with. So far I’ve done cmatrix, asciiquarium, stacer, and bashtop (tiny! - as you would imagine). I would build a custom / cooler looking system monitor for it but I’ll need to figure that out with my non-programmer skills. I’m sure I could get a custom Conky going. All that to say looking for other great ideas. I do have a fireplace video ready to go but that will wait since it’s 100 degrees every day right now :slight_smile:

Lend me you thoughts…

mon2

4 Likes

pr0n

6 Likes

I’d configure it like an old IBM Portable:

1 Like

I think conky or even just HTOP would be cool. What panel is it? When i was on windows i always contemplated installing a small panel like that. I’m curious if the linux crowd will do custom watercooled rigs.

  1. Install sl
  2. while true; do sl -d; done

1 Like

I just bought an Amazon China special display…routed cables, did a little custom mounting for it and some quick arandr action to get it going. In a Linux custom watercooled box :slight_smile: (Windows guys only think they have the fun).

1 Like

Nice! Only my cpu is watercooled, my 3090 has a block but not installed. I had an issue last winter and put the heatsink back on. Hopefully this winter ill be back to a fully watercooled rig.

My IRL Bro use to do modded PCs and was into oil-filled case cooling.

(Now he only mods Harleys and rifles.) :wink:

2 Likes

Can that be smoked?

I’d slap some KDE widgets on it but you use QTile.

Here’s some thoughts for conky…

conk-mon

I am.

1 Like
2 Likes

Here is a little Bash script you can run on your screen:

#!/bin/bash

function cleanup_() {
  printf '\033[?25h' # unhide cursor
  stty echo 2>/dev/null
}
trap cleanup_ EXIT

if [ "$COLORTERM" != "truecolor" ]; then
  >&2 printf "Sorry, your terminal sucks. Try Konsole or Alacritty.\n"
  exit 1
fi
REFRESH_INTERVAL=0.12

declare -r FRAMES=(
"     \033[38;2;85;131;54m▄██▄██▄  \n ▄  ██\033[48;2;255;255;255m▄\033[48;2;1;1;1m▄\033[48;2;255;255;255m▄▄\033[48;2;1;1;1m▄\033[0m\033[38;2;85;131;54m▀▄▀\n █ ████\033[48;2;152;78;53m▄▄▄\033[38;2;35;67;249m▄\033[0m\033[38;2;85;131;54m▀  \n  \033[38;2;35;67;249m▀▀▀▀▀▀▀▀\033[0m    \n"
"      \033[38;2;85;131;54m▄██▄██▄ \n▀▄   ██\033[48;2;255;255;255m▄\033[48;2;1;1;1m▄\033[48;2;255;255;255m▄▄\033[48;2;1;1;1m▄\033[0m\033[38;2;85;131;54m▀ \n  ▀\033[38;2;35;67;249m▄\033[38;2;85;131;54m████\033[48;2;152;78;53m▄▄▄\033[0m\033[38;2;152;78;53m▀ \033[38;2;85;131;54m█\n    \033[38;2;35;67;249m▀▀▀▀▀▀▀▀\033[38;2;85;131;54m▀\033[0m \n"
"       \033[38;2;85;131;54m▄▄ ▄▄  \n▄    ▄█\033[48;2;1;1;1m▀\033[48;2;255;255;255m▀▀\033[48;2;1;1;1m▀\033[48;2;255;255;255m▀█\033[0m\033[38;2;85;131;54m \n ▀▄ ▄███\033[48;2;152;78;53m▀▀▀▀\033[0m\033[38;2;85;131;54m ▄\n   \033[38;2;35;67;249m▀\033[48;2;85;131;54m▄▄▄▄▄▄▄\033[0m\033[38;2;35;67;249m▄\033[38;2;85;131;54m▄▀\033[0m\n"
"  \033[38;2;85;131;54m▄██▄██▄     \n▀▄▀\033[48;2;1;1;1m▄\033[48;2;255;255;255m▄▄\033[48;2;1;1;1m▄\033[48;2;255;255;255m▄██\033[0m\033[38;2;85;131;54m  ▄ \n  ▀\033[48;2;35;67;249m\033[38;2;152;78;53m▀\033[48;2;85;131;54m▀▀▀    \033[0m\033[38;2;152;78;53m \033[38;2;85;131;54m█ \n    \033[38;2;35;67;249m▀▀▀▀▀▀▀▀\033[0m  \n"
" \033[38;2;85;131;54m▄██▄██▄      \n ▀\033[48;2;1;1;1m▄\033[48;2;255;255;255m▄▄\033[48;2;1;1;1m▄\033[48;2;255;255;255m▄██\033[0m\033[38;2;85;131;54m   ▄▀\n█ \033[38;2;152;78;53m▀\033[48;2;85;131;54m▀▀▀    \033[0m\033[38;2;35;67;249m▄\033[38;2;85;131;54m▀  \n ▀\033[38;2;35;67;249m▀▀▀▀▀▀▀▀\033[0m    \n"
"  \033[38;2;85;131;54m▄▄ ▄▄       \n █\033[48;2;255;255;255m▀\033[48;2;1;1;1m▀\033[48;2;255;255;255m▀▀\033[48;2;1;1;1m▀█\033[0m\033[38;2;85;131;54m▄    ▄\n▄ \033[48;2;152;78;53m▀▀▀▀███\033[0m\033[38;2;85;131;54m▄ ▄▀ \n▀▄\033[38;2;35;67;249m▄\033[48;2;85;131;54m▄▄▄▄▄▄▄\033[0m\033[38;2;35;67;249m▀\033[0m   \n"
)

HEIGHT=4
N_FRAMES=${#FRAMES[@]}

COUNTER=0

stty -echo 2>/dev/null
printf '\033[?25l' # hide cursor
unset EXIT_

while true; do
  printf "${FRAMES[$COUNTER]}"
  COUNTER=$(((COUNTER+1)%N_FRAMES))

  [[ -z $EXIT_ ]] || exit 0
  read -t $REFRESH_INTERVAL -n 1 && EXIT_=1;

  printf "\033[${HEIGHT}A\r"
done

For a bigger, much better example, see the examples directory:

You can use my utility fay to make such animations yourself, or I can do it for you, if you buy me a beer.

money

2 Likes

system monitoring

Fullscreen plasma-systemmonitor.
If you are folding, fullscreen F@H in the dark: